<?php
add_action("admin_init", "posts_init");
function posts_init(){
	add_meta_box("post_options", "تنظیمات برای پست", "post_options", "post", "normal", "high");
}

function post_options(){
	global $post ;
	$get_meta = get_post_custom($post->ID);
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );	
?>
<div class="pasargad-content">
<div class="pasargad-title"><h3>ریزگان پست</h3></div>
<div class="ps-padding">
	<style>
		#links_ifr{
			height:200px !important;
		}
		#help_ifr{
			height:200px !important;
		}
		.meta-option-item{
			margin-top: 20px;
			font-weight:bold;
		}
	</style>
<div class="pasargad-help"><div class="help">
برای واردکردن لینک‌های خود از فهرست نقطه‌دار استفاده کنید.
</div></div>
<?php
	pasargad_post_options(array(
		"name" => "لینک‌های دانلود",
		"id" => "links",
		"type" => "wpeditor" 
));
?>
<div class="panel-item-divider"></div>



</div>
</div>

<input type="hidden" name="pasargad_post_save" value="true">
<?php
}

add_action('save_post', 'save_post');
function save_post( $post_id ){
	global $post;
	
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;
	
    if (isset($_POST['pasargad_post_save'])) {
	
		$custom_meta_fields = array(
			'links',
			'android',
			'version',
			'format',
			'size',
			'help',
			);
			
	foreach( $custom_meta_fields as $custom_meta_field ){
			if(!empty($_POST[$custom_meta_field]) )
				update_post_meta($post_id, $custom_meta_field, $_POST[$custom_meta_field]) ;
			else
				delete_post_meta($post_id, $custom_meta_field);
		}
	}
}

/*********************************************************/

function pasargad_post_options($value){

global $post;
?>
<div class="meta-option-item" id="<?php echo $value['id'] ?>-item">
<span><?php  echo $value['name']; ?></span>
<?php
$id = $value['id'];
$get_meta = get_post_meta($post->ID);
if( isset( $get_meta[$id][0] ) )
$current_value = htmlspecialchars_decode($get_meta[$id][0]);
switch ( $value['type'] ) {
//=============================
// @ Text
//=============================	
case 'text': ?>
<input  name="<?php echo $value['id']; ?>" id="<?php  echo $value['id']; ?>" type="text" value="<?php echo $current_value ?>" />
<?php 
break;
//=============================
// @ Checkbox
//=============================	
case 'checkbox':
if( !empty( $current_value ) ){$checked = "checked=\"checked\"";  } else{$checked = "";} ?>
<div class="checkbox-wrapper" style="float:left;">
<input class="toggleswitch-big" type="checkbox" name="<?php echo $value['id'] ?>" id="<?php echo $value['id']; ?>" <?php echo $checked; ?> />
</div>		
<?php	
break;
//=============================
// @ Select
//=============================	
case 'select':
?>
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $key => $option) { ?>
<option value="<?php echo $key ?>" <?php if ( $current_value == $key) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
<?php
break;	
//=============================
// @ Textarea
//=============================
case 'textarea':
?>
<textarea style="direction:ltr; text-align:left; width:430px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="textarea" cols="100%" rows="3" tabindex="4"><?php echo $current_value  ?></textarea>
<?php
break;
//=============================
// @ Editor
//=============================
case "wpeditor":?>
<?php
$settings = array(
			'textarea_name' => $value['id'],
			'quicktags'     => array( 'buttons' => 'em,strong,link' ),
			'tinymce'       => true,
			'media_buttons' => false,
			'teeny' => true
		);

		wp_editor( $current_value , $value['id'], $settings  );
?>
<?php
break;
} ?>
</div>
<?php
}
?>